<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>Note</title>
  </head>
  <nav class="navbar navbar-expand-lg navbar-light " style="background-color: #C3073F;">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="/lab-4" style="color: #ebebe9;">🏠Home🏠<span class="sr-only"></span></a>
        </li>
        <li class="nav-item ">
          <a class="nav-link" href="/lab-4/note-list" style="color: #ebebe9;">🃏Note Cards🃏</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/lab-4/add-note" style="color: #ebebe9;">🖊Add Note🖊</a>
        </li>
      </ul>
    </div>
  </nav>
  <style>
    body {
        background-color: #1A1A1D;
        font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; 
      }
    nav {
        font-weight: bold;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }
    h1{
        text-align: center;
        padding-top: 20px;
        padding-right: 10px;
        padding-bottom: 45px;
        padding-left: 10px;
    }
    tr:hover {
    background-color: rgb(219, 181, 56);
    }
    table, th, td {
      font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
      border: 2px solid #6F2232;
      border-collapse :collapse;
    }
    th {
      background-color:	#6F2232;
    }
    tr {
      background-color: rgb(209, 209, 210)
    }
    table.center {
        margin-left: auto; 
        margin-right: auto;
    }
</style>
  <body>
    <h1 style="color: #ebebe9;">📃 Notes List 📃</h1>
    <table class="center" style="width:50%">
      <tr>
        <th style="color:#ebebe9">To</th>
        <th style="color:#ebebe9">From</th>
        <th style="color:#ebebe9">Title</th>
        <th style="color:#ebebe9">Message</th>
      </tr>
      <!-- TODO loop from Friend model -->
      <!-- EXAMPLE SECTION -->
      {% for element in notes %}
      <tr>
        <td>{{ element.sender }}</td>
        <td>{{ element.receiver }}</td>
        <td>{{ element.title }}</td>
        <td>{{ element.message }}</td>
      </tr>
      {% endfor %}
      <!-- END SECTION -->
    </table>
  </body>
</html>